<?php
function register_theme_layout($args){
    global $lizatom_layouts;
    extract($args);
    if($id && $name && $style && $image):
        if(!$context)$args['context'] = 'global';
        $lizatom_layouts[$id] = $args;
        return true;
    endif;
}

function default_theme_layouts(){
    $args = array(
        array(
            'id' => 'left_column',
            'name' => 'Left Column',
            'style' => get_bloginfo("template_directory")."/library/layouts/left-column.css",
            'image' => get_bloginfo("template_directory")."/library/layouts/left-column.jpg"),
        array(
            'id' => 'left_column_grid',
            'name' => 'Left Column w/ Grid',
            'style' => get_bloginfo("template_directory")."/library/layouts/left-column-grid.css",
            'image' => get_bloginfo("template_directory")."/library/layouts/left-column-grid.jpg"),
        array(
            'id' => 'right_column',
            'name' => 'Right Column',
            'style' => get_bloginfo("template_directory")."/library/layouts/right-column.css",
            'image' => get_bloginfo("template_directory")."/library/layouts/right-column.jpg"),
        array(
            'id' => 'right_column_grid',
            'name' => 'Right Column w/ Grid',
            'style' => get_bloginfo("template_directory")."/library/layouts/right-column-grid.css",
            'image' => get_bloginfo("template_directory")."/library/layouts/right-column-grid.jpg")
    );
    
    foreach($args as $arg):
        register_theme_layout($arg);
    endforeach;
}

function deregister_theme_layout($id){
    global $lizatom_layouts;
    if(is_array($lizatom_layouts[$id])):
        unset($lizatom_layouts[$id]);
        return true;
    endif;
}

/* Enqueue The Layout */
function enqueue_theme_layout(){
    global $lizatom_layouts;
    $contexts = get_option('lizatom_themes_'.LIZATOM_SHORT_NAME.'_layouts');
    if(is_array($contexts)):
        $queued = FALSE;
        $global = FALSE;
        foreach($contexts as $context => $layout):
            if($context != 'global'):
                if(function_exists('is_'.$context)):
                    if(call_user_func('is_'.$context)):
                        wp_enqueue_style('up-layout-'.$context, $lizatom_layouts[$layout['id']]['style']);
                        $queued = TRUE;
                    endif;
                endif;
            else:
                $global = TRUE;
            endif;
        endforeach;
        if(!$queued && $global)wp_enqueue_style('up-layout-global', $lizatom_layouts[$contexts['global']['id']]['style']);
    endif;
}
add_action('wp_print_styles', 'enqueue_theme_layout');
?>