<?php 
/**
 * Template: attachment.php
 *
 * @package Magdala
 * @subpackage Template
 */
 
get_header(); ?>                

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<h2 class="permalink"><?php the_title(); ?></h2>

    <header class="article-top">
    <?php the_time('F jS, Y'); ?>          
    <?php _e("by", "wph5"); ?>       
    <?php the_author_posts_link();?>
    <?php edit_post_link( __( 'Edit', 'wph5' ), '<span class="edit-link">', '</span>' ); ?>
    <span class="alignright">Return to 
    <a href="<?php echo get_permalink($post->post_parent); ?>" rev="attachment">
    <?php echo get_the_title($post->post_parent); ?>
    </a></span>
    </header><!-- /.article-top -->
	

<section class="entry">  
<?php
if(get_the_excerpt()!='') { echo "<em>" . get_the_excerpt() . "</em><br/>"; }
if(get_the_content()!='') { echo get_the_content() . "<br/>"; } 
?>
<!-- image attachment -->
  
<?php if ( wp_attachment_is_image() ) {	
    
    $attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
foreach ( $attachments as $k => $attachment ) {
	if ( $attachment->ID == $post->ID )
		break;
}
$k++;
// If there is more than 1 image attachment in a gallery
if ( count( $attachments ) > 1 ) {
	if ( isset( $attachments[ $k ] ) )
		// get the URL of the next image attachment
		$next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
	else
		// or get the URL of the first image attachment
		$next_attachment_url = get_attachment_link( $attachments[ 0 ]->ID );
} else {
	// or, if there's only 1 image attachment, get the URL of the image
	$next_attachment_url = wp_get_attachment_url();
}
?>

<a href="<?php echo $next_attachment_url; ?>" title="<?php echo esc_attr( get_the_title() ); ?>" rel="attachment">
<?php
$attachment_width  = apply_filters( 'lizatom_attachment_size', 880 );
$attachment_height = apply_filters( 'lizatom_attachment_height', 880 );
echo wp_get_attachment_image( $post->ID, array( $attachment_width, $attachment_height ) ); // filterable image width with, essentially, no limit for image height.
?></a>
					
<?php } else { ?>

<!-- other attachments -->

<?php
$attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
foreach ( $attachments as $k => $attachment ) {
	if ( $attachment->ID == $post->ID )
		break;
}  
?>
<a href="<?php echo wp_get_attachment_url(); ?>" title="<?php echo esc_attr( get_the_title() ); ?>" rel="attachment"><?php echo basename( get_permalink() ); ?></a><br />
<?php echo googlemp3_callback(wp_get_attachment_url()); ?>
<?php } ?>
</section><!-- /.entry -->

</article><!-- /.article -->

<?php lizatom_navpages(); ?>
<div class="clear"></div>


<div class="alignleft">
<?php comments_template(); ?>
</div>

<?php endwhile; // end of the loop. ?>
     
<?php get_footer(); ?>