<?php
/**
 * Template: header.php
 *
 * @package Magdala
 * @subpackage Template
 */

global $lizatom_options;

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>

<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title> <?php bloginfo('title'); ?> </title>
<?php lizatom_seo_init(); ?>
    
<link rel="profile" href="http://gmpg.org/xfn/11" />

<?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<!--[if lt IE 9]>
<script src="<?php bloginfo( 'template_directory' ); ?>/lib/js/html5.js" type="text/javascript"></script>
<![endif]-->
<?php if ($lizatom_options->custom_favicon) { ?>
<link rel="shortcut icon" href="<?php echo $lizatom_options->custom_favicon; ?>" />
<?php } ?>
<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<div id="super-container">
<div id="container">

<header id="header">		

<!-- top menu -->
<div id="header-top">
<div class="inner">
<nav id="top-menu">    
<?php if(has_nav_menu('header-menu')) {
    wp_nav_menu(  array( 'theme_location' => 'header-menu', 'menu_class' => 'sf-menu' ));
     } else { ?>
<ul class="sf-menu">
<?php wp_list_categories(array('title_li' => '', 'sort_column' => 'menu_order')); ?>			
</ul>
<?php } ?>
</nav>

<div class="social-icons">
    <?php if($lizatom_options->twitter_sociable_disable=='enable') { ?>
    <a href="<?php if($lizatom_options->twitter_sociable) echo $lizatom_options->twitter_sociable; ?>"><img src="<?php bloginfo('stylesheet_directory') ?>/images/icons/social-twitter-24x24.png" alt=""/></a>
    <?php } ?>
    <?php if($lizatom_options->facebook_sociable_disable=='enable') { ?>
    <a href="<?php if($lizatom_options->facebook_sociable) echo $lizatom_options->facebook_sociable; ?>"><img src="<?php bloginfo('stylesheet_directory') ?>/images/icons/social-facebook-24x24.png" alt=""/></a>
    <?php } ?>
    <?php if($lizatom_options->linkedin_sociable_disable=='enable') { ?>
    <a href="<?php if($lizatom_options->linkedin_sociable) echo $lizatom_options->linkedin_sociable; ?>"><img src="<?php bloginfo('stylesheet_directory') ?>/images/icons/social-linkedin-24x24.png" alt=""/></a>
    <?php } ?>
    <?php if($lizatom_options->rss_sociable_disable=='enable') { ?>
    <a href="<?php if($lizatom_options->rss_sociable) echo $lizatom_options->rss_sociable; ?>"><img src="<?php bloginfo('stylesheet_directory') ?>/images/icons/social-rss-24x24.png" alt=""/></a>
    <?php } ?>
    <?php if($lizatom_options->email_sociable_disable=='enable') { ?>
    <a href="<?php if($lizatom_options->email_sociable) echo $lizatom_options->email_sociable; ?>"><img src="<?php bloginfo('stylesheet_directory') ?>/images/icons/social-email-24x24.png" alt=""/></a>
    <?php } ?>
</div> 

</div>
</div>

<!-- header-middle -->
<div id="header-middle" class="inner">
<!-- logo -->
<?php if ($lizatom_options->site_name=='display_logo') { ?>
<a href="<?php echo get_settings('home'); ?>"><img src="<?php echo $lizatom_options->custom_logo; ?>" alt="Logo" class="logo"/></a>
<?php } else if ($lizatom_options->site_name=='display_title') { ?>
<div class="alignleft ">
<h1><a href="<?php echo get_settings('home'); ?>"><?php bloginfo('title'); ?></a></h1>
<div><?php bloginfo('description'); ?></div>
</div>
<?php } ?>
<!-- banner -->
<div id="ad-468x60" <?php if ($lizatom_options->site_name=='display_logo') { echo "class='logo-displayed'"; } ?>>
<?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('Header ad')) : else : ?>
<a href="http://www.mojo-themes.com/?r=lizatom"><img src="<?php bloginfo('stylesheet_directory') ?>/images/banner-468x60.jpg" alt=""/></a>
<?php endif; ?>
</div>

<div class="clear"></div>
</div>

<!-- header-bottom -->
<div id="header-bottom" class="inner">
<nav id="top-menu2"> 
<?php if(has_nav_menu('header-menu2')) {
    wp_nav_menu(  array( 'theme_location' => 'header-menu2', 'menu_class' => 'sf-menu2' ));
     } else { ?>
<ul class="sf-menu2">
<li><a href="<?php echo get_settings('home'); ?>">Home</a></li>
<?php wp_list_pages(array('title_li' => '', 'sort_column' => 'menu_order')); ?>			
</ul>
<?php } ?>
</nav>
</div>

</header><!-- end of #header -->
 
    <!-- Begin Wrapper -->
    <section id="wrapper" class="inner">    
   
        <!-- Begin Content -->
        <section id="content">
        
        <?php 
            if ($lizatom_options->breadcrumb_disable == 'no') {
                if (function_exists('lizatom_breadcrumbs')) { 
                    if (!is_page_template('template-portfolio-4.php')) { 
                        lizatom_breadcrumbs(); 
                    } 
                  } 
                } ?> 
        
        <?php lizatom_loop_before(); ?>