<?php
/**
 * Template: thumbnail.php
 *
 * @package Magdala
 * @subpackage thumbnail
 */
 
/**
 * lizatom_thumbnail()
 * 
 * @since WP-HTML 0.9
 * @param string $image_from - any,custom_field,image_attached,image_not_attached,post_thumbnail
 * @param integer $img - if ($custom_field == true) which image 0 => first, 1 => 2nd etc.
 * @param integer $width
 * @param integer $height
 * @param bool $default
 * @return void / echoes image
 */
function lizatom_thumbnail ( $image_from = 'custom_field', $img = 0, $width = 150, $height = 150, $default = true ) { 
global $post;

//if any image can be used
if($image_from == 'any') {

$args = array(
	'post_type' => 'attachment',
    'post_mime_type' => 'image',
	'numberposts' => null,
	'post_status' => null,
	'post_parent' => $post->ID,
    'order'     => 'ASC'
);
$attachments = get_posts($args);
if($attachments) {
$image_ID = $attachments[$img]->ID;
$image = vt_resize( lizatom_get_attachment_image_ID($img),'' , $width, $height, true, 70 );
}

$first_img = '';
ob_start();
ob_end_clean();
$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
$first_img = $matches [1] [0];

//custom_field "thumbnail" with value aboslute_path_to_the_image
if (get_post_meta($post->ID, "thumbnail", true)) { echo "thumbnail"; ?>
<div class="thumbnail"> 
<img src="<?php echo get_post_meta($post->ID, "thumbnail", true); ?>" alt="<?php the_title(); ?>" />
</div>
<?php } 
 
 //post_thumbnail. add_theme_support( 'post-thumbnails' ) must be allowed in functions.php
else if (function_exists('has_post_thumbnail') && has_post_thumbnail()  ) { echo "post_thumbnail"; ?> 
<div class="thumbnail">       
 <?php the_post_thumbnail(); //the_post_thumbnail('thumb2'); ?>
</div>             
<?php 

 //attached image
 } else if($image) { echo "attached image" . lizatom_get_attachment_image_ID($img);  ?>
<div class="thumbnail">
<img src="<?php echo $image['url']; ?>" width="<?php echo $image['width']; ?>" height="<?php echo $image['height']; ?>" />
</div>

<?php 
 //image that is not attached missing class like "wp-image-535". This image is resized only with HTML.
 } else if($first_img != '') { ?>
<div class="thumbnail">
<?php echo "<img src='" . $first_img . "' alt='" . get_the_title($post->ID) . "' . width='" . $width . "' . height='" . $height . "' />"; ?>
</div>
     
<?php 
//default image
} else if ($default == true) { ?>
<div class="thumbnail">
<img src="<?php bloginfo('stylesheet_directory'); ?>/images/thumbnail.png" alt=""/>
</div>
<?php } 






// end of "any" image conditions    
} else if($image_from == 'custom_field') { 
    if (get_post_meta($post->ID, "thumbnail", true)) { ?>
   <div class="thumbnail"> 
   <img src="<?php echo get_post_meta($post->ID, "thumbnail", true); ?>" alt="<?php the_title(); ?>" />
   </div>
<?php } 
} 
 //post_thumbnail. add_theme_support( 'post-thumbnails' ) must be allowed in functions.php
 else if($image_from == 'post_thumbnail') { 
    if (function_exists('has_post_thumbnail')) {
    if (has_post_thumbnail()) { ?> 
    <div class="thumbnail">       
        <?php the_post_thumbnail(); //the_post_thumbnail('thumb2'); ?>
        </div>            
<?php 
 }
}    
//default thumbnail
} else if ($default == true) { ?>
    <div class="thumbnail">
      <img src="<?php bloginfo('stylesheet_directory'); ?>/images/thumbnail.png" alt=""/>
    </div>
<?php }
  
 //attached image
 else if($image_from == 'image_attached') { 
    $image = vt_resize( lizatom_get_attachment_image_ID(0),'' , $width, $height, true, 70 ); ?>
    <div class="thumbnail">
<img src="<?php echo $image['url']; ?>" width="<?php echo $image['width']; ?>" height="<?php echo $image['height']; ?>" />
</div>
<?php 

//image that is not attached missing class like "wp-image-535". This image is resized only with HTML.
} else if($image_from == 'image_not_attached') { 
      $first_img = '';
      ob_start();
      ob_end_clean();
      $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
      $first_img = $matches [1] [0];
      if(!empty($first_img)){ ?>
      <div class="thumbnail">
        <?php echo "<img src='" . $first_img . "' alt='" . get_the_title($post->ID) . "' . width='" . $width . "' . height='" . $height . "' />"; ?>
        </div>
     <?php } } }
/**
 * lizatom_get_attachment_image_ID()
 * 
 * get ID of the attached image
 * parameter $img 0 => first image in the post, 1 => 2nd image in the post etc.
 * 
 * @since WP-HTML 0.9
 * @param int $img
 * @return int $image_ID
 */

function lizatom_get_attachment_image_ID($img) {
global $post;
$args = array(
	'post_type' => 'attachment',
    'post_mime_type' => 'image',
	'numberposts' => null,
	'post_status' => null,
	'post_parent' => $post->ID,
    'order'     => 'ASC'
);
$attachments = get_posts($args);
$image_ID = $attachments[$img]->ID;

return $image_ID;
}

/**
 * Resize images dynamically using wp built in functions
 * Victor Teixeira
 *
 * php 5.2+
 *
 * Exemple use:
 * 
 * <?php 
 * $thumb = get_post_thumbnail_id(); 
 * $image = vt_resize( $thumb,'' , 140, 110, true, 70 );
 * ?>
 * <img src="<?php echo $image[url]; ?>" width="<?php echo $image[width]; ?>" height="<?php echo $image[height]; ?>" />
 * 
 * @since Magdala 0.9
 * @param int $attach_id
 * @param string $img_url
 * @param int $width
 * @param int $height
 * @param bool $crop
 * @param int $jpeg_quality
 * @return array
 */
function vt_resize( $attach_id = null, $img_url = null, $width, $height, $crop = false, $jpeg_quality = 90 ) {

	// this is an attachment, so we have the ID
	if ( $attach_id ) {
	
		$image_src = wp_get_attachment_image_src( $attach_id, 'full' );
		$file_path = get_attached_file( $attach_id );
	
	// this is not an attachment, let's use the image url
	} else if ( $img_url ) {
		
		$file_path = parse_url( $img_url );
		$file_path = ltrim( $file_path['path'], '/' );
		//$file_path = rtrim( ABSPATH, '/' ).$file_path['path'];
		
		$orig_size = getimagesize( $file_path );
		
		$image_src[0] = $img_url;
		$image_src[1] = $orig_size[0];
		$image_src[2] = $orig_size[1];
	}
	
	$file_info = pathinfo( $file_path );
	$extension = '.'. $file_info['extension'];

	// the image path without the extension
	$no_ext_path = $file_info['dirname'].'/'.$file_info['filename'];

	$cropped_img_path = $no_ext_path.'-'.$width.'x'.$height.$extension;

	// checking if the file size is larger than the target size
	// if it is smaller or the same size, stop right here and return
	if ( $image_src[1] > $width || $image_src[2] > $height ) {

		// the file is larger, check if the resized version already exists (for crop = true but will also work for crop = false if the sizes match)
		if ( file_exists( $cropped_img_path ) ) {

			$cropped_img_url = str_replace( basename( $image_src[0] ), basename( $cropped_img_path ), $image_src[0] );
			
			$vt_image = array (
				'url' => $cropped_img_url,
				'width' => $width,
				'height' => $height
			);
			
			return $vt_image;
		}

		// crop = false
		if ( $crop == false ) {
		
			// calculate the size proportionaly
			$proportional_size = wp_constrain_dimensions( $image_src[1], $image_src[2], $width, $height );
			$resized_img_path = $no_ext_path.'-'.$proportional_size[0].'x'.$proportional_size[1].$extension;			

			// checking if the file already exists
			if ( file_exists( $resized_img_path ) ) {
			
				$resized_img_url = str_replace( basename( $image_src[0] ), basename( $resized_img_path ), $image_src[0] );

				$vt_image = array (
					'url' => $resized_img_url,
					'width' => $proportional_size[0],
					'height' => $proportional_size[1]
				);
				
				return $vt_image;
			}
		}

		// no cached files - let's finally resize it
		$new_img_path = image_resize( $file_path, $width, $height, $crop, $jpeg_quality );
		$new_img_size = getimagesize( $new_img_path );
		$new_img = str_replace( basename( $image_src[0] ), basename( $new_img_path ), $image_src[0] );

		// resized output
		$vt_image = array (
			'url' => $new_img,
			'width' => $new_img_size[0],
			'height' => $new_img_size[1]
		);
		
		return $vt_image;
	}

	// default output - without resizing
	$vt_image = array (
		'url' => $image_src[0],
		'width' => $image_src[1],
		'height' => $image_src[2]
	);
	
	return $vt_image;
}
?>