<?php
/**
 * Template: utils.php
 *
 * @package Magdala
 * @subpackage utils
 */

/**
 * lizatom_body_class()
 * 
 * @since WP-HTML 0.9
 * @param mixed $classes
 * @return
 */
 add_filter('body_class','lizatom_body_class');
function lizatom_body_class($classes) {
    //attachment's ,mimetype
    $mime_type = get_post_mime_type($post_id);
    if(($mime_type == 'image/jpeg') ||
       ($mime_type == 'image/png') || 
       ($mime_type == 'image/gif'))
    { $classes[] = 'image-attachment'; }
    //$classes[] = $mime_type;
    
    //browser
    global $is_lynx, $is_gecko, $is_IE, $is_opera, $is_NS4, $is_safari, $is_chrome, $is_iphone;

	if($is_lynx) $classes[] = 'lynx';
	elseif($is_gecko) $classes[] = 'gecko';
	elseif($is_opera) $classes[] = 'opera';
	elseif($is_NS4) $classes[] = 'ns4';
	elseif($is_safari) $classes[] = 'safari';
	elseif($is_chrome) $classes[] = 'chrome';
    elseif($is_IE) {
        ereg('MSIE ([0-9]\.[0-9])',$_SERVER['HTTP_USER_AGENT'],$reg);
          if(!isset($reg[1])) {
             $classes[] = 'ie';
          } else {
             $classes[] = 'ie' . floatval($reg[1]);
          }
    }
	else $classes[] = 'unknown';  

	if($is_iphone) $classes[] = 'iphone';
    
    //post template
    global $post;
    
    if (get_post_meta($post->ID, "post-template", true)) {
     $classes[] = get_post_meta($post->ID, "post-template", true);
    }
    
	return $classes;
}


add_filter ( 'the_content', 'googlemp3_embed' );
/**
 * googlemp3_embed()
 * 
 * @since WP-HTML 0.9
 * @param mixed $text
 * @return
 */
function googlemp3_embed($text) {
	// change bare links on lines by themselves, oembed style
	$text = preg_replace_callback ('#^(<p>)?(http://.*/.*\.mp3)(</p>|<br />)?$#im', 'googlemp3_callback', $text);

	// change links created by the add audio link system
	$text = preg_replace_callback ('#^(<p>)?<a.*href=[\'"](http://.*/.*\.mp3)[\'"].*>.*</a>(</p>|<br />)?#im', 'googlemp3_callback', $text);

	return $text;
}

/**
 * googlemp3_callback()
 * 
 * @since WP-HTML 0.9
 * @param mixed $match
 * @return
 */
function googlemp3_callback($match) {
	// edit width and height here
	$width = 400;
	$height = 27;
	return "<embed src='http://www.google.com/reader/ui/3523697345-audio-player.swf' flashvars='audioUrl={$match}' width='{$width}' height='{$height}' pluginspage='http://www.macromedia.com/go/getflashplayer'></embed><br />";
}

/**
 * GetCleanPings()
 * 
 * @since WP-HTML 0.9
 * @param mixed $comment
 * @param mixed $args
 * @param mixed $depth
 * @return void
 */
function GetCleanPings($comment, $args, $depth) {
$GLOBALS['comment'] = $comment; echo '<li>'.comment_author_link().'</li>';
}




/**
 * lizatom_tabs()
 * 
 * @since WP-HTML 0.9
 * @return void
 */
function lizatom_tabs() { ?>

<!-- tutorial here http://justfreetemplates.com/blog/2009/08/31/ultra-simple-jquery-tabs.html -->

<div id="tabs-wrapper">

    <ul class="tabs">
        <li><a href="#tab1" class="defaulttab" rel="tabs1">Pages</a></li>
        <li><a href="#tab2" rel="tabs2">Categories</a></li>
        <li><a href="#tab3" rel="tabs3">About</a></li>
    </ul>
 
    <div class="tab-content" id="tabs1">
     <div class="widget">        
        <ul>
            <?php wp_list_pages('sort_column=post_name&depth=1&title_li='); ?>
        </ul>
    </div>
    </div>
    
    <div class="tab-content" id="tabs2">
    <div class="widget">
        <ul>
            <?php wp_list_categories('title_li=&orderby=id'); ?>
        </ul>
    </div>
    </div>
    
    <div class="tab-content" id="tabs3">
    <div class="widget">
    <p>PSDtoWP.net is Wordpress framework theme I developed to speed up work on my cleints' designs.
    </p>
    </div>
    </div>
    
</div>
<div class="clear"></div>
<?php }

/**
 * lizatom_jcycle_slideshow()
 * 
 * @since WP-HTML 0.9
 * @return void
 */
function lizatom_jcycle_slideshow() { ?>
<div id="slideshow-wrapper">
<div id="slideshow">  
            
            <div>              
        		<img src="<?php bloginfo('stylesheet_directory');?>/images/gallery/gal1.jpg" alt="#" />
                <h3>Title 1</h3>
                <a href="#">Title 1</a>                
            </div> 
            
            <div>              
        		<img src="<?php bloginfo('stylesheet_directory');?>/images/gallery/gal2.jpg" alt="#" />
                <h3>Title 2</h3>
                <a href="#">Ttitle 2</a>                
            </div>
            
            <div>              
        		<img src="<?php bloginfo('stylesheet_directory');?>/images/gallery/gal3.jpg" alt="#" />
                <h3>Title 3</h3>
                <a href="#">Title 3</a>                
            </div> 
            
            
           
        
</div>
<div class="nav"><a id="prev" href="#">Prev</a> <a id="next" href="#">Next</a></div>


<!-- this is a dynamic version with custom fields
<div id="slideshow">
  <?php /*$recent = new WP_Query(); ?>
            <?php $recent->query('cat=5&showposts=1'); ?>
            <?php while($recent->have_posts()) : $recent->the_post(); ?>
            <div>                
                <?php if (get_post_meta($post->ID, "gallery", true)) { ?>	
        		<img src="<?php echo get_post_meta($post->ID, "gallery", true); ?>" alt="<?php the_title(); ?>" />
                <?php } ?>                
                <h3><?php the_title(); ?></h3>
                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
            </div>             
  <?php endwhile;*/ ?>         
</div>
-->

</div>
<div class="clear"></div>
<?php }

/**
 * lizatom_get_page_ID()
 * returns ID of the page/post. Name of page/post must be a slug.
 * @since WP-HTML 0.9
 */

function lizatom_get_page_ID($my_page) {
    global $wpdb;
    $page_ID = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_name = '".$my_page."'");
    return $page_ID;
}

/**
 * lizatom_excerpt()
 * $num - number of letters
 * @since WP-HTML 0.9
 */
function lizatom_excerpt($num)
{
    $limit = $num + 1;
    $excerpt = explode(' ', get_the_excerpt(), $limit);
    array_pop($excerpt);
    $excerpt = implode(" ", $excerpt) . "...";
    echo ($excerpt);
}

/**
 * lizatom_content()
 * $num - number of letters
 * @since WP-HTML 0.9
 */
 
 
 function limit_content($content_length = 20, $allowtags = true, $allowedtags = '') {
	global $post;
	$content = $post->post_content;
	$content = apply_filters('the_content', $content);
	if (!$allowtags){
		$allowedtags .= '<style>';
		$content = strip_tags($content, $allowedtags);
	}
	$wordarray = explode(' ', $content, $content_length + 1);
	if(count($wordarray) > $content_length) :
		array_pop($wordarray);
		array_push($wordarray, '...');
		$content = implode(' ', $wordarray);
		$content .= "</p>";
	endif;

	echo $content;
}
 
function lizatom_content($num)
{
    $theContent = get_the_content();
    $output = preg_replace('/<img[^>]+./', '', $theContent);
    $limit = $num + 1;
    $content = explode(' ', $output, $limit);
    array_pop($content);
    $content = implode(" ", $content) . "...";
    echo $content;
}

/**
 * lizatom_insertContent()
 * Insert something below post content
 * @since WP-HTML 0.9
 */
function lizatom_insertContent($content)
{
    if (!is_feed() && !is_home()) {
        $content .= "<div class='subscribe'>";
        $content .= "<h4>Enjoyed this article?</h4>";
        $content .= "<p>Subscribe to our  <a href='http://feeeeeed.com'>RSS feed</a> and never miss a recipe!</p>";
        $content .= "</div>";
    }
    return $content;
}

//add_filter('the_content', 'lizatom_insertContent');

/**
 * Creates shortcode [adsense] to add easily adsense code into the post
 * @since 1.0
 */
function lizatom_shortcode()
{
    return '<div id="adsense"><script type="text/javascript"><!--
  google_ad_client = "pub-XXXXXXXXXXXXXX";
  google_ad_slot = "4668915978";
  google_ad_width = 468;
  google_ad_height = 60;
  //-->
</script>

<script type="text/javascript"
src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script></div>';
}

//add_shortcode('adsense', 'lizatom_shortcode');
?>