<?php
/**
 *
 */

class Lizatom_PopularPost_Widget extends WP_Widget {
    
	/**
	 *
	 */
    function Lizatom_PopularPost_Widget() {
		$widget_ops = array( 'classname' => 'lizatom_popular_widget', 'description' => __( 'Custom popular post widget with post preview image', LIZATOM_ADMIN_TEXTDOMAIN ) );
		$control_ops = array( 'width' => 250, 'height' => 200 );
		$this->WP_Widget( 'popularwidget', sprintf( __( '%1$s - Popular Post', LIZATOM_ADMIN_TEXTDOMAIN ), THEME_NAME ), $widget_ops, $control_ops );
    }

	/**
	 *
	 */
    function widget($args, $instance) {
		global $wpdb, $lizatom;
		$prefix = LIZATOM_PREFIX;
		
        	extract( $args );

		$title = apply_filters('widget_title', empty($instance['title']) ? __('Popular Posts') : $instance['title'], $instance, $this->id_base);
		
		echo $before_widget;
		echo $before_title . $title . $after_title;
		
		$count = ( !empty( $count ) ) ? trim( $count ) : '3';
        $number = $instance['number'];
		$disable_thumb = $instance['disable_thumb'] ? '1' : '0';
		
		?>
		<ul>
        <?php
        $args = array ( 'showposts' => $number,
                        'orderby'   => 'post_date',
                        'order'     => 'desc');
						$the_query = new WP_Query($args);
						while ($the_query->have_posts()) : $the_query->the_post(); ?>
								<li>
                                <?php if($disable_thumb==0) { ?>
									<?php $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'large'); ?>
                <figure class="post-image alignleft">
                <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
                    <img src="<?php bloginfo('stylesheet_directory') ?>/timthumb.php?src=<?php echo $large_image_url[0]; ?>&h=50&w=50" alt=""/></a></figure>
                    <?php } ?>
									 <a title="<?php the_title(); ?>" href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a><br />
                                     <span class="italic">
                                     <?php the_time('F jS, Y') ?>&nbsp;<?php _e('by','wph5'); ?>
        <?php the_author_posts_link(); ?><br />
        <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
        </span>
									 <div class="clear"></div>
								</li>			

						<?php endwhile; ?>
						<?php wp_reset_query(); ?>
                        </ul>
        
        <?php	
		echo $after_widget;		
		
    }

	/**
	 *
	 */
    function update($new_instance, $old_instance) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['number'] = (int) $new_instance['number'];
		$instance['disable_thumb'] = !empty($new_instance['disable_thumb']) ? 1 : 0;
				
        return $instance;
    }

	/**
	 *
	 */
    function form($instance) {
		$title = isset($instance['title']) ? esc_attr($instance['title']) : '';
		$disable_thumb = isset( $instance['disable_thumb'] ) ? (bool) $instance['disable_thumb'] : false;
		if ( !isset($instance['number']) || !$number = (int) $instance['number'] )
			$number = 3;
		?>

		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e( 'Title:', LIZATOM_ADMIN_TEXTDOMAIN ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
		
		<p><label for="<?php echo $this->get_field_id('number'); ?>"><?php _e( "Enter the number of popular posts you'd like to display:", LIZATOM_ADMIN_TEXTDOMAIN ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php echo $number; ?>" /></p>
		
		<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('disable_thumb'); ?>" name="<?php echo $this->get_field_name('disable_thumb'); ?>"<?php checked( $disable_thumb ); ?> />
		<label for="<?php echo $this->get_field_id('disable_thumb'); ?>"><?php _e( 'Disable Post Thumbnail?', LIZATOM_ADMIN_TEXTDOMAIN ); ?></label></p>

        <?php
    }

}

?>